import 'package:json_annotation/json_annotation.dart';

part 'reply_mode.g.dart';

/// 回复模型实体类
@JsonSerializable()
class ReplyMode {
  /// 模式名称
  @JsonKey(name: "name")
  String? name;

  /// 实际发送给服务端的值
  @JsonKey(name: "value")
  String? value;

  ReplyMode(this.name, this.value);

  factory ReplyMode.fromJson(Map<String, dynamic> json) =>
      _$ReplyModeFromJson(json);

  Map<String, dynamic> toJson() => _$ReplyModeToJson(this);
}